BEGIN{printf "         days  name       %s file\n",certtype; min=999;}
{
#  this file is used by the cert-time-check.sh script.	
#  $Id: cert-time-sort.awk,v 1.1 2005/02/22 23:54:06 olson Exp $
#  $Source: /home/olson/MyCVS/cert-scripts/lib/cert-time-sort.awk,v $
#  $Date: 2005/02/22 23:54:06 $
#  $Author: olson $
#  
  if ( $1 ~ "missing" ) {
    print $0;
  } else {
    if ($1 < 7.0){
      flag="***";
    } else{
      flag="   ";
    }
    printf "%4s %8.1f %s\n",flag,$1,substr($0,index($0,$2));
    if ( $1 < min ) { min = $1;}
  }
}
END{print "nearest " certtype " expiration " min " days";}
#
# $Log: cert-time-sort.awk,v $
# Revision 1.1  2005/02/22 23:54:06  olson
# relocated into lib directory
#
# Revision 1.2  2005/01/19 20:04:18  olson
# added check for CRL existance, reversed order of output for
# CA check so missing CRL notice comes last and remaining CA lifetime
# comes longest at top and shortest at bottom.  Useful for
# command-line execution, rather backwards for email notification.
#
# Revision 1.1.1.1  2005/01/12 01:59:13  olson
# scripts for handling X509 certificates, from PPDG
#
